%global dist_version 1.9.0

%global debug_package %{nil}
%global provider github
%global provider_tld com
%global project docker
%global repo compose
%global import_path %{provider}.%{provider_tld}/%{project}/%{repo}

Name:           %{project}-%{repo}
Version:        %{dist_version}
Release:        %mkrel 1
Summary:        Multi-container orchestration for Docker
Group:			System/Configuration
License:        ASL 2.0
URL:            https://www.docker.com/
Source0:        https://%{import_path}/archive/%{dist_version}.tar.gz

# docker-compose is compatible with fig and is a simple rename.
Provides:       fig = %{version}-%{release}

BuildRequires:  python-devel
BuildRequires:  python-setuptools 
BuildRequires:  python-docker-py
BuildRequires:  python-websocket-client
BuildRequires:  python-texttable
BuildRequires:  python-requests
BuildRequires:  PyYAML
BuildRequires:  python-docopt

Requires:       python-setuptools
Requires:       python-docker-py
Requires:       python-texttable
Requires:       python-docopt
Requires:       python-requests
Requires:       python-websocket-client
Requires:       python-six
Requires:       python-dockerpty
Requires:       python-cached-property
Requires:       python-jsonschema
Requires:       PyYAML

BuildArch:      noarch

%description
Multi-container orchestration for Docker

Docker-compose allows you to:
- Define your application's environment with Docker so it can be reproduced
  anywhere.
- Define the services that make up your app so they can be run together in an
  isolated environment.
- Run 'docker-compose up', and docker-compose will start and run your entire
  app.

%prep
%setup -q -n %{repo}-%{version}
#mga has a more recent requests
perl -pi -e 's|requests==2.7.0|requests>=2.7.0|' requirements.txt
perl -pi -e "s|requests >= 2.6.1, < 2.8|requests >= 2.6.1|" setup.py

%build
%{py2_build}

%install
%{py2_install}

%files
%doc CHANGES.md CONTRIBUTING.md README.md SWARM.md
%license LICENSE
%{_bindir}/%{name}
# Upstream uses an underscore here
%{python2_sitelib}/docker_compose*
%{python2_sitelib}/compose*


%changelog
* Thu Nov 24 2016 bcornec <bcornec> 1.9.0-1.mga6
+ Revision: 1069586
- update to upstream docker-compose 1.9.0
- Upate to upstream 1.9.0

* Mon May 23 2016 bcornec <bcornec> 1.7.1-3.mga6
+ Revision: 1018026
- Remove inexistant tests
- docker isn't restricted to x86_64 so is this one as well

* Mon May 23 2016 bcornec <bcornec> 1.7.1-2.mga6
+ Revision: 1017979
- docker-compose is only available on x86_64 as docker
- Fix group
- import docker-compose, based on a Fedora spec file
- Created package structure for docker-compose.

